Get machine translate settings types
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/types \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/types"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"types": [
"<string>"
]
}Machine Translation Settings
Get machine translate settings types
Returns valid type strings for POST /machineTranslateSettings (e.g. GoogleTranslate, AMAZON). Call this before creating a new MT engine to discover supported types. Accessible to project managers without the ‘Modify Server Setup’ right.
GET
/
api2
/
v1
/
machineTranslateSettings
/
types
Get machine translate settings types
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Response
OK
Valid type values for the type field of POST /machineTranslateSettings
Was this page helpful?
⌘I